import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import Storage from 'vue-ls'
import ElementUI from 'element-ui'
import iView from 'iview';
import * as echarts from 'echarts'
import 'iview/dist/styles/iview.css';    // 使用 CSS

Vue.config.productionTip = false

import filter from '@/filter/index.js'
Vue.use(filter)

var storageOptions = {
  namespace: 'pro__', // key prefix
  name: 'ls', // name variable Vue.[ls] or this.[$ls],
  storage: 'local', // storage name session, local, memory
}
Vue.use(Storage, storageOptions)
Vue.prototype.$echarts = echarts;
Vue.use(iView)
Vue.use(ElementUI)
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
